OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Zubuntu Rt73 Compile
annu
post Mar 26 2009, 04:08 PM
Post #1





Group: Members
Posts: 4
Joined: 18-March 09
Member No.: 34,002



hi,

i was wondering whether anyone has gotten the rt73 usb wifi driver to work on zubuntu yet.
I tried to compile it from source but i dont realy have any experience with that and im running into a lot of problems.
Im using the standard header files from the reposity but make complains a lot about them and missing include files and such.
Are there like any special symlinks that i have to create or something?

thanks for your help.
Go to the top of the page
 
+Quote Post
speculatrix
post Mar 28 2009, 02:41 PM
Post #2





Group: Admin
Posts: 3,281
Joined: 29-July 04
From: Cambridge, England
Member No.: 4,149



have you installed all the include files... I'm no ubuntu expert but maybe you need "libc6-dev" and "build-essential" packages?
Go to the top of the page
 
+Quote Post
annu
post Mar 29 2009, 10:28 AM
Post #3





Group: Members
Posts: 4
Joined: 18-March 09
Member No.: 34,002



yeah, its possible that i didnt have everything from build-essential.
I have to download all the dependencies by hand on my mac because the zaurus refuses to talk to it via usb-ethernet
so its possible that i have missed something.

But while i was at it I moved on to the new Jaunty version so its a fresh start again :-)

at the moment im even not sure wich kernel-headers i'll have to get. (whether the generic ones will do or not)

so yeah, i'll set everything up again and try then.

thanks for your help though...

PS: it would save me a lot of time if someone already had a compiled module floating around... biggrin.gif
Go to the top of the page
 
+Quote Post
annu
post Apr 7 2009, 01:24 PM
Post #4





Group: Members
Posts: 4
Joined: 18-March 09
Member No.: 34,002




edit: nevermind i wasnt realizing that just throwing the original code at the compiler without any modifications wont work.
now i have used captain_fish's modified code from the pdaxii thread and now it seems to work!
i cant believe yet that it will run perfectly but at least it now shows up in ifconfig
its getting late here so i'll only run some little tests now and post again toworrow...

ok i have made some progress but i get more problems.

Cortez suggested crosscompiling it with poky which i finally got working after some struggeling.
i was able to compile the module and installed on my spitz running the poky-sato image.

now if i modprobe the module i get segfaults for ifconfig and the likes
weird thing is that i once tried angstrom with a rt73 module someone in this forum provided (afaik it worked for them) and it did the same thing. i get the wifi stick to work on a desktop linux so the hardware seems to be ok

so yeah im sort of stuck here, not sure how to deal with the segfault.

i'll try to build it natively in the poky-sdk image and see if that helps
Go to the top of the page
 
+Quote Post
speculatrix
post Apr 7 2009, 03:06 PM
Post #5





Group: Admin
Posts: 3,281
Joined: 29-July 04
From: Cambridge, England
Member No.: 4,149



I would suspect that the driver hasn't been written in a portable way, so it's making assumptions about the in-memory arrangement of bytes and packets, which mean that data structures appear corrupted causing it to crash.

I think you'd have to go through the code and have a fairly deep understanding of usb and network drivers to spot programming errors, and replace with portable code and/or IFDEFs etc.
Go to the top of the page
 
+Quote Post
annu
post Apr 8 2009, 10:23 AM
Post #6





Group: Members
Posts: 4
Joined: 18-March 09
Member No.: 34,002



ok the module is working fine. :yay:

I have yet to configure wpa_supplicant correctly, because i cant connect to my ap
but i tried kismet and all that stuff and it works so its probably just some configuration error on my part.

Anyway in case anyone might want it , ive attached it as ipk and deb.

its compiled for poky kernel 2.6.23 though, so i dont think it would work under zubuntu with 2.6.26

can anyone tell me how to get poky to build for that kernel version?

Attached File(s)
Attached File  rt73_1.0_r0_spitz.ipk ( 163.78K ) Number of downloads: 0
Attached File  rt73_1.0_r0_arm.deb ( 163.05K ) Number of downloads: 1
 
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 25th December 2014 - 01:24 AM